#!/bin/sh

echo .
echo .!!!!!!!!!!!!!!! Start script. Wait... !!!!!!!!!!!!!!!.
echo .
echo .!! Do not power-off TV. Wait about 1-2 minutes for next message....!!.

if [ -f /mtd_rwarea/PartitionSwitch_1_0 ]
then

mkdir /dtv/test
mount -t auto /dev/tbml8 /dtv/test
FWNAME=$(cat /.info)
OLDVERS=$(/bin/busybox egrep -e $(echo "$FWNAME-[0-9][0-9][0-9][0-9].[0-9]") /dtv/test/exeDSP)
OLDVERS=$(echo $OLDVERS | sed s/.*-//g | sed 's/\..*//g')
if [ -f /mtd_rwarea/Version.0 ] # Script doesn't overwrite if there is a Version.0 file
 then
 echo "Error  /mtd_rwarea/Version.0 already exists." > ./error.log
 else
 echo $(sed 's/_00[0-9][0-9][0-9][0-9]_/_00'$OLDVERS'_/g' /mtd_rwarea/Version.1) > /mtd_rwarea/Version.0
fi

 else

mkdir /dtv/test
mount -t auto /dev/tbml10 /dtv/test

FWNAME=$(cat /.info)
OLDVERS=$(/bin/busybox egrep -e $(echo "$FWNAME-[0-9][0-9][0-9][0-9].[0-9]") /dtv/test/exeDSP)
OLDVERS=$(echo $OLDVERS | sed s/.*-//g | sed 's/\..*//g')
if [ -f /mtd_rwarea/Version.1 ] # Script doesn't overwrite if there is a Version.1 file
 then
 echo "Error  /mtd_rwarea/Version.1 already exists." > ./error.log
 else
 echo $(sed 's/_00[0-9][0-9][0-9][0-9]_/_00'$OLDVERS'_/g' /mtd_rwarea/Version.0) > /mtd_rwarea/Version.1
fi

fi   
echo .
echo .!!!!!!!!!!!!!!!!!!!!!!!!!!!! Done! !!!!!!!!!!!!!!!!!!!!!!!!!!!.
echo .                                                                                                
echo .!!!!!!!!!!!!!!! Now go to Firmware update menu !!!!!!!!!!!!!!!.
echo .